Bug 787016 - AS7 plugin does not take into account branding changes
AS7 plugin does not take into account branding changes
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Plugins (Show other bugs)
4.3
Unspecified Unspecified
high Severity medium (vote)
: ---
: JON 3.1.0
Assigned To: Heiko W. Rupp
Mike Foley
:
Depends On:
Blocks: as7-plugin 731823
  Show dependency treegraph
 
Reported: 2012-02-02 17:12 EST by Alan Santos
Modified: 2015-02-05 20:19 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-03 11:18:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot (69.63 KB, image/png)
2012-06-04 07:54 EDT, Sunil Kondkar
no flags Details

  None (edit)
Description Alan Santos 2012-02-02 17:12:57 EST
Description of problem:

core AS 7 components are going to be used as the basis for a number of products including edg, switchyard and others. The as 7 plugin should be sure it follows the branding guidelines when inventorying running processes. i.e. it should not import EDG builds as AS 7 or AS 7 as EAP. 

Details can be tracked here - https://issues.jboss.org/browse/AS7-2624
Comment 2 Mike Foley 2012-02-06 12:02:34 EST
per bz triage (asantos, ccrouch, mfoley. loleary)
Comment 6 Ian Springer 2012-05-01 15:19:36 EDT
We now correctly discover JDG 6.0.0.Beta1:

[master http://git.fedorahosted.org/git/?p=rhq/rhq.git;a=commitdiff;h=a3b72f6]

Here is what the relevant general properties and traits look like for a JDG Standalone Server Resource:

Name: JDG (127.0.0.1:9990)
Description: Standalone JBoss Data Grid 6 server
Version: JDG 6.0.0.ER6-redhat-1
Server Version: 7.1.1.Final-redhat-1
Server Code Name: Brontes
Product Version: 6.0.0.ER6-redhat-1

And avail is UP.

Unfortunately, for a JDG Host Controller Resource, there are still some issues with the version-related fields:

Version: JDG 1
Server Version: <blank>
Server Code Name: <blank>
Product Version: <blank>

Name and Description are fine.

I'm going to assign to Heiko so he can look into why these aren't getting set correctly.
Comment 7 Ian Springer 2012-05-01 15:21:51 EDT
Alan, what other products do we need to test here besides EAP, EDG, and Switchyard? 

Also, can you privately send me where I can find a distro for SOA-P/Switchyard 6 if you know where they can be found?

Thanks,
Ian
Comment 10 Heiko W. Rupp 2012-05-21 16:31:59 EDT
Putting on QA - for a separation after 3.1 please open a new BZ
Comment 11 Sunil Kondkar 2012-06-04 07:53:35 EDT
Verified on Version: 3.1.0.CR1 Build Number: 4bc4270:1b85993

Verified on EAP6 standalone/HostController instance and JDG standalone/HostController instance. 

The resource summary and traits display info as below:

EAP6 Standalone:

Name: EAP (127.0.0.1:9990)
Product Name : EAP
Description: Standalone JBoss Enterprise Application Platform 6 server
Version : EAP 6.0
Server Version: 7.1.2.Final-redhat-1
Server Code Name: Steropes
Product Version : 6.0.0.GA

EAP6 Host Controller:

Name: EAP Domain Controller (127.0.0.1:9990)
Product Name : EAP
Description: Domain controller for a JBoss Enterprise Application Platform 6 domain
Version : EAP 6.0.0.GA
Server Version: 7.1.2.Final-redhat-1
Server Code Name: Steropes
Product Version : 6.0.0.GA

JDG Standalone
Name: JDG (127.0.0.1:9990)
Product Name : 	Data Grid
Description: Standalone JBoss Data Grid 6 server
Version : JDG 1
Server Version: 7.1.1.Final-redhat-1
Server Code Name: Brontes
Product Version : 6.0.0.ER6-redhat-1


JDG Host Controller:
Name: JDG Domain Controller (127.0.0.1:9990)
Product Name : 	Data Grid
Description: Domain controller for a JBoss Data Grid 6 domain
Version : JDG 1
Server Version: 7.1.1.Final-redhat-1
Server Code Name: Brontes
Product Version : 6.0.0.ER6-redhat-1

Please refer attachhed screenshot for JDG Host Controller resource.
Comment 12 Sunil Kondkar 2012-06-04 07:54:04 EDT
Created attachment 589127 [details]
Screenshot
Comment 13 Heiko W. Rupp 2013-09-03 11:18:14 EDT
Bulk closing of old issues in VERIFIED state.

Note You need to log in before you can comment on or make changes to this bug.